org.jbpm.workflow.core.node

## Class SubProcessNode

- java.lang.Object
- - org.jbpm.workflow.core.impl.NodeImpl
  - - org.jbpm.workflow.core.impl.ExtendedNodeImpl
    - - org.jbpm.workflow.core.node.StateBasedNode
      - - org.jbpm.workflow.core.node.SubProcessNode

- All Implemented Interfaces:
    Serializable, Mappable, Contextable, ContextContainer, ContextResolver, org.kie.api.definition.process.Node

      public class SubProcessNode
      extends StateBasedNode
      implements Mappable, ContextContainer

  Default implementation of a sub-flow node.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `EVENT_NODE_BOUNDARY, EVENT_NODE_ENTER, EVENT_NODE_EXIT`

    - ### Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `constraints, EMPTY_NODE_ARRAY`

    - ### Fields inherited from interface org.jbpm.workflow.core.Node

      `CONNECTION_DEFAULT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubProcessNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContext(Context context)`
    `void` | `addInAssociation(DataAssociation dataAssociation)`
    `void` | `addInMapping(String parameterName, String variableName)`
    `void` | `addInMapping(String parameterName, String variableName, Transformation transformation)`
    `void` | `addOutAssociation(DataAssociation dataAssociation)`
    `void` | `addOutMapping(String parameterName, String variableName)`
    `void` | `addOutMapping(String parameterName, String variableName, Transformation transformation)`
    `void` | `adjustOutMapping(String forEachOutVariable)`
    `Context` | `getContext(String contextId)`
    `Context` | `getContext(String contextType, long id)`
    `List<Context>` | `getContexts(String contextType)`
    `Context` | `getDefaultContext(String contextType)`
    `List<DataAssociation>` | `getInAssociations()`
    `String` | `getInMapping(String parameterName)`
    `Map<String,String>` | `getInMappings()`
    `List<DataAssociation>` | `getOutAssociations()`
    `String` | `getOutMapping(String parameterName)`
    `Map<String,String>` | `getOutMappings()`
    `String` | `getProcessId()`
    `String` | `getProcessName()`
    `boolean` | `isAbortParent()`
    `boolean` | `isCallActivity()`
    `boolean` | `isIndependent()`
    `boolean` | `isWaitForCompletion()`
    `void` | `setDefaultContext(Context context)`
    `void` | `setIndependent(boolean independent)`
    `void` | `setInMappings(Map<String,String> inMapping)`
    `void` | `setIsCallActivity(boolean isCallActivity)`
    `void` | `setOutMappings(Map<String,String> outMapping)`
    `void` | `setProcessId(String processId)`
    `void` | `setProcessName(String processName)`
    `void` | `setWaitForCompletion(boolean waitForCompletion)`
    `void` | `validateAddIncomingConnection(String type, org.kie.api.definition.process.Connection connection)`
    `void` | `validateAddOutgoingConnection(String type, org.kie.api.definition.process.Connection connection)`

    - ### Methods inherited from class org.jbpm.workflow.core.node.StateBasedNode

      `addBoundaryEvents, addTimer, getBoundaryEvents, getTimers, removeAllTimers, setBoundaryEvents`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl

      `containsActions, getActions, getActionTypes, setActions`

    - ### Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl

      `addConstraint, addIncomingConnection, addOutgoingConnection, clearIncomingConnection, clearOutgoingConnection, getConstraint, getConstraints, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getNodeType, getNodeUniqueId, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, internalGetConstraint, removeIncomingConnection, removeOutgoingConnection, resolveContext, setConstraint, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, setNodeType, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubProcessNode

          public SubProcessNode()

  - ### Method Detail

    - #### setProcessId

          public void setProcessId(String processId)

    - #### getProcessId

          public String getProcessId()

    - #### isWaitForCompletion

          public boolean isWaitForCompletion()

    - #### setWaitForCompletion

          public void setWaitForCompletion(boolean waitForCompletion)

    - #### addInMapping

          public void addInMapping(String parameterName,
                                   String variableName)

      Specified by:
        `addInMapping` in interface `Mappable`

    - #### addInMapping

          public void addInMapping(String parameterName,
                                   String variableName,
                                   Transformation transformation)

    - #### setInMappings

          public void setInMappings(Map<String,String> inMapping)

      Specified by:
        `setInMappings` in interface `Mappable`

    - #### getInMapping

          public String getInMapping(String parameterName)

      Specified by:
        `getInMapping` in interface `Mappable`

    - #### getInMappings

          public Map<String,String> getInMappings()

      Specified by:
        `getInMappings` in interface `Mappable`

    - #### addInAssociation

          public void addInAssociation(DataAssociation dataAssociation)

      Specified by:
        `addInAssociation` in interface `Mappable`

    - #### getInAssociations

          public List<DataAssociation> getInAssociations()

      Specified by:
        `getInAssociations` in interface `Mappable`

    - #### addOutMapping

          public void addOutMapping(String parameterName,
                                    String variableName)

      Specified by:
        `addOutMapping` in interface `Mappable`

    - #### addOutMapping

          public void addOutMapping(String parameterName,
                                    String variableName,
                                    Transformation transformation)

    - #### setOutMappings

          public void setOutMappings(Map<String,String> outMapping)

      Specified by:
        `setOutMappings` in interface `Mappable`

    - #### getOutMapping

          public String getOutMapping(String parameterName)

      Specified by:
        `getOutMapping` in interface `Mappable`

    - #### getOutMappings

          public Map<String,String> getOutMappings()

      Specified by:
        `getOutMappings` in interface `Mappable`

    - #### adjustOutMapping

          public void adjustOutMapping(String forEachOutVariable)

    - #### addOutAssociation

          public void addOutAssociation(DataAssociation dataAssociation)

      Specified by:
        `addOutAssociation` in interface `Mappable`

    - #### getOutAssociations

          public List<DataAssociation> getOutAssociations()

      Specified by:
        `getOutAssociations` in interface `Mappable`

    - #### isIndependent

          public boolean isIndependent()

    - #### setIndependent

          public void setIndependent(boolean independent)

    - #### validateAddIncomingConnection

          public void validateAddIncomingConnection(String type,
                                                    org.kie.api.definition.process.Connection connection)

      Overrides:
        `validateAddIncomingConnection` in class `NodeImpl`

    - #### validateAddOutgoingConnection

          public void validateAddOutgoingConnection(String type,
                                                    org.kie.api.definition.process.Connection connection)

      Overrides:
        `validateAddOutgoingConnection` in class `NodeImpl`

    - #### setProcessName

          public void setProcessName(String processName)

    - #### getProcessName

          public String getProcessName()

    - #### getContexts

          public List<Context> getContexts(String contextType)

      Specified by:
        `getContexts` in interface `ContextContainer`

    - #### addContext

          public void addContext(Context context)

      Specified by:
        `addContext` in interface `ContextContainer`

    - #### getContext

          public Context getContext(String contextType,
                                    long id)

      Specified by:
        `getContext` in interface `ContextContainer`

    - #### setDefaultContext

          public void setDefaultContext(Context context)

      Specified by:
        `setDefaultContext` in interface `ContextContainer`

    - #### getDefaultContext

          public Context getDefaultContext(String contextType)

      Specified by:
        `getDefaultContext` in interface `ContextContainer`

    - #### getContext

          public Context getContext(String contextId)

      Specified by:
        `getContext` in interface `Contextable`
      Overrides:
        `getContext` in class `NodeImpl`

    - #### isAbortParent

          public boolean isAbortParent()

    - #### isCallActivity

          public boolean isCallActivity()

    - #### setIsCallActivity

          public void setIsCallActivity(boolean isCallActivity)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.